/*Selecciona el cuerpo entero de la página*/
body {
  font-family:"Fjalla One", sans-serif;
  font-style: normal;
  background: #f3e1cb;
  color: white;
  margin: 0;
}
/*Contenedor de la página*/
.pos-container {
  display: flex;
  flex-direction: column;
  height: 100vh;
  padding: 10px;
  box-sizing: border-box;
}
/*Bloque superior de la página donde se ubica el título y el nombre del cajero*/
.pos-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  color: #3f1e17;
  padding: 15px;
  border-radius: 5px;
  margin-bottom: 10px;
}
/*Selecciono los textos del "header" para cambiarle el tamañano a la fuente*/
.pos-header p {
  margin: 0px 10px 0px 10px;
  font-size: 3em;
}
/*Bloque contenedor del título de la página*/
.Cafede {
  display: flex;
  justify-content: start;
  align-items: center;
  background: #3f1e17;
  color: #f3e1cb;
  border-radius: 15px;
}

.logoCafede {
  max-width: 15%;
  height: auto;
}

.info-caja {
  align-content: end;
}
/*Bloque que contiene la tabla de los productos seleccionados*/
.pos-content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 15px;
  flex-grow: 1;
  font-size: 1.5em;
}
/*Tabla de los productos seleccionados*/
.product-list {
  background: #3f1e17;
  border-radius: 5px;
  overflow-y: auto;
  padding: 10px;
}
table {
  width: 100%;
  border-collapse: collapse;
}
th {
  border-bottom: 2px solid #555;
  text-align: left;
  padding: 10px;
}
td {
  padding: 10px;
  border-bottom: 1px solid #444;
}
/*Bloque contenedor de la sección donde se encuentra el "input" para los códigos, el total a pagar y los botones de acción*/
.controls {
  background: #3f1e17;
  padding: 20px;
  border-radius: 5px;
  display: flex;
  flex-direction: column;
  gap: 20px;
  font-size: 1em;
}
/*Bloque del "input" junto al boton "cargar"*/
.input-group form {
  display: flex;
  align-items: center;     /* Alinea el input y el botón perfectamente en el centro vertical */
  flex-wrap: wrap;         /* Permite que el label se quede arriba solo */
  gap: 10px;               /* Separa el input del botón horizontalmente */
  margin-top: 5px;
}

form label {
  width: 100%;
}

/*Bloque donde se muestra el total a pagar y el vuelto*/
.totals {
  background: #2C1106;
  padding: 20px;
  border-radius: 5px;
  border: 2px solid #f3e1cb;
}
.total-row {
  font-size: 2rem;
  display: flex;
  justify-content: space-between;
  font-weight: bold;
}
.total-row.small {
  font-size: 1.2rem;
  color: #aaa;
  margin-top: 10px;
}
/*Bloque de los botones de acción*/
.actions {
  display: flex;
  justify-content: space-evenly;
}
/*"Input" en el cual se escribe el código a buscar en la lista de productos*/
#cod-producto {
  box-sizing: border-box;
  width: 160px;
  height: 46px;
  font-size: 20px;
  padding: 5px;
  margin: 0px;
  background: #f3e1cb;
  border: 2px solid #3f1e17;
  border-radius: 8px;
}

#cod-producto:focus {
    outline: 2px solid #f3e1cb;
}
/*Selecciona todos los botones de la página*/
.btn {
  padding: 15px;
  border: none;
  cursor: pointer;
  font-weight: bold;
  border-radius: 4px;
  font-size: 1rem;
}
.btn-primary {
  background: #007bff;
  color: white;
  box-sizing: border-box;
  margin: 0;
}
.btn-success {
  background: #28a745;
  color: white;
}
.btn-danger {
  background: #dc3545;
  color: white;
}
.btn-warning {
  background: #fd7e14;
  color: white;
}

/* Modal */
.modal {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
}
.modal-content {
  background: #f3e1cb;
  color: #333;
  padding: 30px;
  border-radius: 10px;
  width: 400px;
  text-align: center;
}
/*Ventana donde están las distintas opciones para pagar*/
.payment-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 10px;
  margin-top: 20px;
}
.payment-grid button {
  padding: 20px;
  cursor: pointer;
}
.btn-close {
  margin: 15px;
}